package com.zhongshu.reward.server.core.dao;


import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.reward.client.type.TransferStatus;
import com.zhongshu.reward.server.core.dao.extend.WxTransferBatchDaoExtend;
import com.zhongshu.reward.server.core.domain.WxTransferBatch;

import java.util.List;

/**
 * @author wjf
 * @date 2024/8/5
 */
public interface WxTransferBatchDao extends MongoDao<WxTransferBatch>, WxTransferBatchDaoExtend {

    WxTransferBatch findTop1ById(String id);

    List<WxTransferBatch> findByTransferStatus(TransferStatus transferStatus);
}
