package com.zhongshu.reward.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import com.zhongshu.reward.client.type.OperateType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * @author wjf
 * @date 2024/8/14
 */
@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class OperateDisable extends SuperEntity {

    @Indexed
    private String userId;

    @Indexed
    private OperateType type;

    @Indexed(expireAfterSeconds = 0)
    private Date TTL;
}
